/*@import url('https://fonts.googleapis.com/css?family=Cinzel');
*/
html {
    background-color: black;
    /* max-width: 100vw; */
    font-size: 100%;
}

body{
    width: 100%;
    /* min-width: 440px; Tämän jälkeen mediaQuery ja font-size pienemmäksi.. */
    font-size: 100%;
    margin-top: 0px;
    margin-left: 0px;
    margin-right: 0px;
    /* border: 10px white; */
}

#content {
    /*background-image: url(./tiirat.jpg);*/
    background-size: contain;
    background-size: 100vw;
    
    background-repeat: no-repeat;
    background-position-x: center;
    background-position-y: center;

    /* border: 10px solid black;
    border: 2px solid black; */
    touch-action: manipulation;

}

#infoForm {
    margin-top: 0px;
    margin-left: 0px;
    margin-right: 0px;
    text-align: center;
    background-image: url(./tiirat.jpg);
    background-repeat: no-repeat;
    background-size: contain;
    color: black;
    background-color: rgba(0, 0, 0, 0.7);
    
    padding-top: 0.5em;
    padding-bottom: 2em;
    width: 100vw;
}

#infoForm > form {
    background-color: rgba(0, 0, 0, 0.7);
    color: white;
    text-align: left;
    
    padding-top: 0.5em;
    padding-left: 1em;
    
    margin: auto;
    
}

#infoForm > h1 {
    font-family: Cinzel;
    font-size: 1.7em;
}

/*Gridin rakenne*/
#layout{
    display: none;
    grid-template-rows: 25vh 25vh 35vh 15vh;
    grid-template-columns: 1fr 2fr 1fr;
}

/*Keskellä olevien tyyli*/
#CENTER{
    background-color: lightblue;
}

#otsikko{
    text-align: center;
    text-shadow: 2px 1px white;
    /* font-family: Cinzel; */
    
}

#collectedCount{
    border: 2px solid black;
    padding: 0em 1em;
    color: black;
    font-weight: bold;
    font-size: 1em;
}

#quickTip {
    border: 2px solid white ;
    font-weight: bold;
    color:white;
    padding: 0.5em;
    text-align: center;
}

.box{
    position: relative;
    border: 2px solid gray;
    border-radius: 1em;

    background-color: lightgray;

    padding: 0px;
    margin: 10% 0%;
    margin-bottom: 20%;

    color: black;
    text-align: center;
    font-family: 'Courier New', Courier, monospace;
    font-weight: bold;
    font-size: 1em;
    
}

#chInfo {
    /* border: 5px solid white; */
    background-color: rgba(0, 0, 0, 0.6);
    color: white;
    padding-top: 2em;
    padding-left: 5em;
    padding-right: 10em;
    font-size: 1rem;
    text-align: left;
    display: none;
    position: absolute;
    top: 0px;
    left: 0px;
    bottom: 0px;
    width: 80vw;
    /* height: 90vh; */
    overflow-y: scroll;
}

@media only screen and (max-width:320px) {
    #chInfo {
        -webkit-text-size-adjust: 100%;
    }
}

#card{
    display: block;
    position: relative;
    top: 10px;

    opacity: 1;
    border: 3px dashed lightblue;
    
    background-clip: padding-box;
    background-color:wheat;

    margin: 10% 10%;
   
    color: black;
    text-align: center;
    font-size: 1em;

    transform: rotate(0deg);
    /*transform: scale(1); */
}

#startExitButtons {
    display: none;
    margin-top: 2em;

    /* justify-content: space-between; */
    align-items: center;
    color: black;
    
    
}
#exit {
    margin-top: 1em;
    background-color: silver;
    /* border: 2px solid white; */
    padding: 1em;
    
    text-align: center;
}
#start {
    background-color: silver;
    /* border: 2px solid white; */
    text-align: center;
    padding: 1em;
    
}

#leftArrow:hover{
    border-right-color:lightblue;
}

#leftArrow{
   margin-left: auto;
    margin-top: 20%;

    width: 0;
    height: 0;

    border-top: 40px solid transparent;
    border-bottom: 40px solid transparent;

    border-right:60px solid blue;

}

#rightArrow:hover{
    border-left-color:lightblue;
}
#rightArrow{
    
    margin-top: 20%;

    width: 0;
    height: 0;

    border-top: 40px solid transparent;
    border-bottom: 40px solid transparent;

    border-left:60px solid blue;

}

#ten {
    color: white;
    border: 1px solid white;
    text-align: center;
    padding: 0.5em;
}

footer{
    display: none;
}

#turnPhone {
    color: white;
    display: none;
    touch-action: manipulation;
}


@media all and (orientation: portrait) {
    #layout {
        display: none;
    }
    #turnPhone  {
        display: none;
        font-size: 2em;
    }
}


@media screen and (min-color-index:0) and(-webkit-min-device-pixel-ratio:0)
{ 
    @media (orientation: landscape) {
    /*
      Define here the CSS styles applied only to Safari browsers
      (any version and any device)
     */
     /* #layout {
        display: grid;
    } */
    /* #turnPhone {
        display: none;
        margin-top: 2em;
    } */
}}

@media only screen and (min-width: 900px) {
    html {
        font-size: 150%;
    }
    #layout{
        display: none;
        grid-template-rows: 25vh 25vh 35vh auto;
        grid-template-columns: 1fr 2fr 1fr;
    }
    #card {
        font-size: 1.5rem;
    }
    #infoForm {
        background-size: 100%;
    }
    #infoForm > form{
        padding-left: 20%;
        padding-right: 20%;
    }
    h2 {
        font-size: 2em;
    }
    #collectedCount {
        text-align: center;
        font-size: 1.3em;
        background-color: rgb(9, 9, 119, 0.3);
        border: none;
        padding-bottom: 0.25em;
    }
    form > video {
        width: 50%;
    }
    

}